float3 CamPos;

float3 ComputeReflection(float3 WorldPos, float3 Normal){
	/*// Generate reflection texcoords
	float3 E = normalize(Pos);
	
	float3 N = -normalize(mul(Normal, (float3x3)View));

	float3 R = E - (N * 2.0f * dot(E, N));
	R = normalize(R);

	return R;*/
	
	float3 N = Normal;
	float3 V = CamPos - WorldPos;

	// Compute lighting
	float3 R = 2 * dot(N, V) * N - V;
	
	return R;
}
